MIX_CreateMixer(3)

NAME
MIX_CreateMixer - Create a mixer that generates audio to a memory buffer.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

MIX_Mixer * MIX_CreateMixer(const SDL_AudioSpec *spec);

DESCRIPTION
Usually you want MIX_CreateMixerDevice() instead of this function. The mixer created here can be used with MIX_Generate() to produce more data on demand, as fast as desired.

An audio format must be specified. This is the format it will output in. This cannot be NULL.

Once a mixer is created, next steps are usually to load audio (through MIX_LoadAudio() and friends), create a track (MIX_CreateTrack()), and play that audio through that track.

When done with the mixer, it can be destroyed with MIX_DestroyMixer().

FUNCTION PARAMETERS

spec
    the audio format that mixer will generate.

RETURN VALUE
Returns a mixer that can be used to generate audio, or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_CreateMixerDevice(3), MIX_DestroyMixer(3)